/***********************************************************************
Content: Test for graphic library for Epson SED-1335 based LCD displays.
Last modified: 15.05.2003
Copyrights: Free to use, free to change, free to delete :-)
Compiler: ImageCraft AVR
Written by: Knut Baardsen @ Baardsen Software, Norway
Updates: http://www.baso.no
***********************************************************************/

/***********************************************************************
This software is provided "as is"; Without warranties either express or
implied, including any warranty regarding merchantability, fitness for 
a particular purpose or noninfringement. 
In no event shall Baardsen Software or its suppliers be liable for any 
special,indirect,incidential or concequential damages resulting from 
the use or inability to use this software.
***********************************************************************/


/***********************************************************************
Includes
***********************************************************************/
#include <avr/io.h>
#include "1335.h"


/***********************************************************************
Defines and globals 
***********************************************************************/
#define ClockX		   160
#define ClockY		   120
#define ClockOR		   40
#define ClockIR		   2
int sec = 0;
int min = 0;


/***********************************************************************
Main 
***********************************************************************/
int main(void)
{
  int i = 0;
  
  DDRB |= 1<<PB1;
  PORTB |=1<<PB1;
  
  
  
	 //|= 1<<PB0 | 1<<PB1 | 1<<PB6 | 1<<PB7;
  //DDRC |= 1<<PC1;
  
  
  // Init the display
  lcd_init();
  lcd_clear_text();
  lcd_clear_graphics();

  // Disable all interrupts

  // Set up timer 1 for about 1 second 
  
 
  // Draw a frame
  lcd_rectangle(1,1,240,159,1);
  //lcd_rectangle(3,3,238,158,1);
  // Write some text
  lcd_goto(1,1);
  lcd_write_string("Nik Bamert ABCDEFGHIJKLMNOPQRSTUVWXYZ123");
  
  //lcd_goto(1,2);
 // lcd_write_string("Mp3 Player ");
  
  
	//lcd_clear_text();

  // Ok, then we enable interrupts and timer which will simulate
  // a good old analog clock. Enjoy !
  
  while(1);
  return 1;
}

